[Koha-patches] [PATCH 10/28] Add koha-post-install-setup, a script to be run by sysadmin post-install.

Lars Wirzenius lars at catalyst.net.nz
Tue May 25 03:44:09 CEST 2010


---
 debian/koha-common.install           |    1 +
 debian/koha-post-install-setup       |   23 +++++++++++++++++++++++
 debian/koha.README.Debian            |    8 ++++++++
 debian/templates/apache-site.conf.in |    4 ++--
 4 files changed, 34 insertions(+), 2 deletions(-)
 create mode 100644 debian/koha-post-install-setup

diff --git a/debian/koha-common.install b/debian/koha-common.install
index 148ed6c..9a586bc 100644
--- a/debian/koha-common.install
+++ b/debian/koha-common.install
@@ -3,3 +3,4 @@ debian/tmp/usr/* usr
 debian/tmp/etc/koha/pazpar2
 debian/tmp/etc/koha/zebradb/[!z]*
 debian/templates/* etc/koha
+debian/koha-post-install-setup usr/sbin
diff --git a/debian/koha-post-install-setup b/debian/koha-post-install-setup
new file mode 100644
index 0000000..73faf83
--- /dev/null
+++ b/debian/koha-post-install-setup
@@ -0,0 +1,23 @@
+#!/bin/sh
+#
+# Set up Apache post-install for koha-common.
+# Copyright 2010  Catalyst IT, Ltd
+# 
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+# 
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+# 
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+set -e
+
+a2enmod rewrite
+a2enmod suexec
+service apache2 restart
diff --git a/debian/koha.README.Debian b/debian/koha.README.Debian
index ce271ba..a807092 100644
--- a/debian/koha.README.Debian
+++ b/debian/koha.README.Debian
@@ -13,11 +13,19 @@ following:
   implementation.
   - edit /etc/perl/XML/SAX/ParserDetails.ini to
     move XML::LibXML::SAX:Parser section last in the file
+  - FIXME: This should become unnecessary: Koha is in the process of
+    being patched to specify the parser it needs explicitly, instead
+    of assuming it is the default one.
+* Enable the suexec module for Apache.
+  - sudo a2enmod suexec
 * Enable the rewrite module for Apache.
   - sudo a2enmod rewrite
 * Restart Apache.
   - sudo service apache2 restart
 
+The latter two steps can be done by running the koha-post-install-setup
+script.
+
 Then access the following URL:
 
     http://localhost:8080/
diff --git a/debian/templates/apache-site.conf.in b/debian/templates/apache-site.conf.in
index e831340..e9dbf93 100644
--- a/debian/templates/apache-site.conf.in
+++ b/debian/templates/apache-site.conf.in
@@ -8,8 +8,7 @@
 
    ServerName __OPACSERVER__
    SetEnv KOHA_CONF "/etc/koha/sites/__KOHASITE__/koha-conf.xml"
-   User __UNIXUSER__
-   Group __UNIXGROUP__
+   AssignUserID __UNIXUSER__ __UNIXGROUP__
 
    ErrorLog    /var/log/koha/__KOHASITE__/opac-error.log
 #  TransferLog /var/log/koha/__KOHASITE__/opac-access_log
@@ -24,6 +23,7 @@
    
    ServerName __INTRASERVER__
    SetEnv KOHA_CONF "/etc/koha/sites/__KOHASITE__/koha-conf.xml"
+   AssignUserID __UNIXUSER__ __UNIXGROUP__
 
    ErrorLog    /var/log/koha/__KOHASITE__/intranet-error.log
 #  TransferLog /var/log/koha/__KOHASITE__/intranet-access_log
-- 
1.7.1




More information about the Koha-patches mailing list